Katello - Bug #5702

(Roles Branch) v2 Content Views Controller index call ignoring environment id
05/13/2014 07:35 PM - Partha Aji

Status: Closed

Priority: Normal

Assignee: Partha Aji

Category:

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The index call in https://github.com/Katello/katello/blob/roles/app/controllers/katello/api/v2/content_views_controller.rb#L35 ignores
the environment_id parameter when returning the results of the query. This causes New Activation Keys page to break because the
"Content Views" section lists all the content views in Library even if the user selected a non library environment.

Try this rest call in postman to debug ..
http://&It;fgdn&gt;/katello/api/v2/content_views?environment_id=&It;env_id&gt;&full_result=true&organization_id=ACME_Corporation
Basically the result of this call should only return the content views in the selected environment -> <env_id>

Related issues:
Blocks Katello - Feature #5217: As a user, | should have CRUD permissions for... Closed 04/16/2014

Associated revisions

Revision 44220056 - 05/13/2014 09:09 PM - Partha Aji

Fixes #5702 - CV index call now respects environment_id correctly

History

#1 - 05/13/2014 07:35 PM - Partha Aji

- Blocks Feature #5217: As a user, | should have CRUD permissions for all entities that are exposed to me. added

#2 - 05/13/2014 07:46 PM - Partha Aji

- Assignee changed from Walden Raines to Partha Aji

#3 - 05/14/2014 10:54 PM - Partha Aji

- Status changed from New to Closed

#4 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
